import request from '@/utils/request'

//新增投诉建议
export function adviceAdd(query) {
    return request({
        url: '/service/advice/add',
        method: 'post',
        data: query
    })
}
// 用户密码重置
export function updateUserPwd(oldPassword, newPassword) {
  const data = {
    oldPassword,
    newPassword
  }
  return request({
    url: '/system/user/profile/updatePwd',
    method: 'post',
    params: data
  })
}
// 上传投诉建议照片
export function uploadFileBase(data) {
  return request({
    url: '/common/upload',
    method: 'post',
    data: data
  })
}
// 修改用户个人信息
export function updateUserProfile(data) {
  return request({
    url: '/system/user/profile/edit',
    method: 'post',
    data: data
  })
}
// 查询用户个人信息
export function getUserProfile() {
  return request({
    url: '/system/user/profile/get',
    method: 'get'
  })
}
